### Method

# Gtk Window unmaximize

#### Declaration [src]

    void
    gtk_window_unmaximize (
      GtkWindow* window
    )

#### Description [src]

Asks to unmaximize the window.

Note that you shouldn’t assume the window is definitely unmaximized afterward, because other entities (e.g. the user or window manager) maximize it again, and not all window managers honor requests to unmaximize.

If a window is not explicitly maximized or unmaximized before it is shown, the initial state is at the window managers discretion. For example, it might decide to maximize a window that almost fills the screen.

You can track the result of this operation via the `GdkToplevel:state` property, or by listening to notifications on the `GtkWindow:maximized` property.